module CaptchaSolver
  class RecaptchaV2 < Base
    attr_reader :google_key, :page_url

    def initialize(args)
      super
      @google_key = args[:google_key]
      @page_url = args[:page_url]
    end

    private

    def start_request_params
      {
        method: 'userrecaptcha',
        googlekey: google_key,
        pageurl: page_url
      }
    end
  end
end
