module CaptchaSolver
  class FunCaptcha < Base
    attr_reader :public_key, :page_url

    def initialize(args = {})
      super
      @public_key = args[:public_key]
      @page_url = args[:page_url]
    end

    private

    def start_request_params
      {
        method: 'funcaptcha',
        publickey: public_key,
        pageurl: page_url
      }
    end
  end
end
